import request from '@/utils/request'

/**
 * 岗位信息模块
 * @param parms
 */

// 获取数据
export function getList(parms) {
  return request({
    url: 'stage/page',
    method: 'get',
    params: parms
  })
}

// 添加区域
export function addOrder(data) {
    return request({
      url: '/stage/add',
      method: 'post',
      data: data
    })
  }

//   //删除
//   export function deletecity(id,parms) {
//     return request({
//         url: '/area/' + id,
//         method: 'delete',
//         params: parms
//     })
// }

  //"新增"省
  export function addcity(data){
    return request({
        url:"/area/Prov",
        method:"get",
        data:data
    })
}

//"新增"市
export function listcity(parms){
  return request({
      url:"/area/citys",
      method:"get",
      params:parms
  })
}


//"新增"区
export function Listarea(data){
    return request({
        url:"/area/info",
        method:"get",
        params:data
    })
}

  //删除
  export function deletecity(courierId,parms) {
    return request({
        url: '/stage/' + courierId,
        method: 'delete',
        params: parms
    })
}


export function editOrder(data) {
    return request({
        url: '/stage/courierId',
        method: 'put',
        data: data
    })
}

 //模糊城市
 export function partList(data) {
  return request({
      url: '/area/citys',
      method: 'get',
      data: data
  })
}

export function areasList(data) {
  return request({
      url: '/stage/areas',
      method: 'get',
      data: data
  })
}

export function listName(data) {
  return request({
    url:"/stage/names",
    method:"get",
    data:data
  })
}


export function userOrder(data) {
  return request({
      url: 'user/2',
      method: 'get',
      data: data
  })
}

//生成二维码
export function urlcode(areaId,courierId,parms) {
  return request({
      url: 'orcode/upload/' + areaId + "/" + courierId,
      method: 'post',
      params: parms
  })
}






